camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From yiwang <>
Subject Re: The jar package dependency problem
Date Mon, 19 Aug 2013 02:46:57 GMT
My goal in eclipse to build a platform, the platform is based on the added in
accordance with the osgi specification bundles on the equinox, wants to use
camel routing on the platform, I need to add the
camel-core-2.11.1.jar,javax.servlet-2.5.0.jar,camel-http-2.11.1.jar and so
on, such as the camel-http-2.11.1.Jar needs to rely on the Commons
httpclient, and then I added the Commons-httpclient-3.1-osgi.Jar, it still
prompts the lack the jar of org.apache.commons.httpclient "[3.1.0,4.0.0)"and
org.apache.commons.httpclient.auth "[3.1.0,4.0.0)" and so on ,Obviously
joined the jar package, don't know why also lacks corresponding rely on?

View this message in context:
Sent from the Camel - Users mailing list archive at

View raw message